[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFiler.Root

The root component is the initial component which is being streamed.

## Declaration

Source position: classesh.inc line 1213

`public property TFiler.Root : TComponent read FRoot write SetRoot;`

## Description

The streaming process will stream a component and all the components which it owns. The Root component is the component which is initially streamed.

## See also

LookupRoot |  | Component used to look up ancestor components.